Bug 86229 - Web Inspector: extract PresentationConsoleMessageHelper from DebuggerPresentationModel.
Summary: Web Inspector: extract PresentationConsoleMessageHelper from DebuggerPresenta...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Feldman
URL:
Keywords:
Depends on: 86336
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 10:35 PDT by Pavel Feldman
Modified: 2012-05-13 23:33 PDT (History)
11 users (show)

See Also:


Attachments
Patch (20.90 KB, patch)
2012-05-11 10:47 PDT, Pavel Feldman
vsevik: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2012-05-11 10:35:09 PDT
This change also starts tracking messages along with the live location changes.
Comment 1 Pavel Feldman 2012-05-11 10:47:26 PDT
Created attachment 141446 [details]
Patch
Comment 2 Pavel Feldman 2012-05-11 11:30:55 PDT
Committed r116789: <http://trac.webkit.org/changeset/116789>
Comment 3 Csaba Osztrogonác 2012-05-12 12:14:30 PDT
(In reply to comment #2)
> Committed r116789: <http://trac.webkit.org/changeset/116789>

It made a test fail on Qt:
--- /ramdisk/qt-linux-64-release/build/layout-test-results/inspector/debugger/script-formatter-console-expected.txt 
+++ /ramdisk/qt-linux-64-release/build/layout-test-results/inspector/debugger/script-formatter-console-actual.txt 
@@ -10,7 +10,7 @@
 ["9"]
 script-formatter-console.html:13
 Post-format row message list:
-["12"]
-["12"]
+["11"]
+["11"]
 Debugger was disabled.
 

Could you check it, please?
Comment 4 Csaba Osztrogonác 2012-05-13 23:33:12 PDT
New bug reports file on the new regression: https://bugs.webkit.org/show_bug.cgi?id=86336